summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authornashe <thomas@chauchefoin.fr>2018-03-22 21:20:28 +0100
committernashe <thomas@chauchefoin.fr>2018-03-22 21:20:28 +0100
commitfa1c90d265f8a86da46439b85e7db8b97215857c (patch)
tree3d5dbad812fdcacf9d4941e07a91fc28def94b2b
parente787e194a44ef7be831c19301138c5e58dc537c1 (diff)
downloadplanet-fa1c90d265f8a86da46439b85e7db8b97215857c.tar
planet-fa1c90d265f8a86da46439b85e7db8b97215857c.tar.gz
planet-fa1c90d265f8a86da46439b85e7db8b97215857c.tar.bz2
planet-fa1c90d265f8a86da46439b85e7db8b97215857c.tar.xz
planet-fa1c90d265f8a86da46439b85e7db8b97215857c.zip
Add basic release building script
-rwxr-xr-xbin/build_release.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/bin/build_release.sh b/bin/build_release.sh
new file mode 100755
index 0000000..2f09661
--- /dev/null
+++ b/bin/build_release.sh
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+set -eu
+
+tmp=$(mktemp -d -t moonmmon)
+
+echo "[*] Building into $tmp..."
+
+cd "$tmp"
+git clone https://github.com/moonmoon/moonmoon.git --depth=1 --recursive -j8
+cd moonmoon
+composer install --no-suggest --prefer-dist --no-dev
+git describe --abbrev=0 --tags > VERSION
+find . -name .DS_Store -exec rm {} \;
+rm -rf .git .github .travis.yml .gitignore .gitmodules docs/.git/
+mkdir cache
+cd ..
+zip -r "moonmoon-$(cat moonmoon/VERSION).zip" .
+
+echo "[*] Grab the archive: ${tmp}/moonmoon-$(cat moonmoon/VERSION).zip"